Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.newick
Class NewickException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  info.bioinfweb.treegraph.document.io.newick.NewickException

All Implemented Interfaces:
  java.io.Serializable

    public class NewickException

extends java.lang.RuntimeException

See Also:
  Serialized Form

Field Summary
`private int` | `position`
`private static long` | `serialVersionUID`

Constructor Summary
`NewickException(int pos)`
`NewickException(int pos, java.lang.String msg)`
`NewickException(int pos, TokenType expected, TokenType found)`
`NewickException(NewickToken token)`

Method Summary
`int` | `getPosition()`
`static NewickException` | `getUnterminedNameException(int start)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### position

    private int position

Constructor Detail

### NewickException

    public NewickException(int pos)

### NewickException

    public NewickException(int pos,
                           java.lang.String msg)

### NewickException

    public NewickException(int pos,
                           TokenType expected,
                           TokenType found)

### NewickException

    public NewickException(NewickToken token)

Method Detail

### getUnterminedNameException

    public static NewickException getUnterminedNameException(int start)

### getPosition

    public int getPosition()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD